Get all workspaces
curl --request GET \
--url https://api.vantage.sh/v2/workspaces \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vantage.sh/v2/workspaces"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vantage.sh/v2/workspaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"workspaces": [
{
"token": "wrkspc_5d9752a116e4d28e",
"name": "Gulgowski, Ruecker and Rolfson b7f1c249",
"created_at": "2024-10-01T01:00:56Z",
"enable_currency_conversion": false,
"currency": "USD",
"exchange_rate_date": "daily_rate"
},
{
"token": "wrkspc_9a319290712d817d",
"name": "Stokes Inc 2d705dab",
"created_at": "2024-10-01T01:00:56Z",
"enable_currency_conversion": false,
"currency": "USD",
"exchange_rate_date": "daily_rate"
}
]
}Workspaces
Get all workspaces
Return all Workspaces that the current API token has access to.
GET
/
workspaces
Get all workspaces
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
The page of results to return.
The amount of results to return. The maximum is 1000.
⌘I